Package net.shibboleth.idp.profile.context.navigate

# Class SpringStatusMessageLookupFunction

java.lang.Object
net.shibboleth.idp.profile.context.navigate.SpringStatusMessageLookupFunction

All Implemented Interfaces:
  `Function<ProfileRequestContext,String>`, `Aware`, `MessageSourceAware`

public class SpringStatusMessageLookupFunction extends Object implements Function<ProfileRequestContext,String>, MessageSourceAware
A function that returns a status message to include, if any, in a SAML response based on the current profile request context state, using Spring's `MessageSource` functionality.

## Field Summary

Fields
Modifier and Type
Field
Description
`private MessageSource`
`messageSource`
MessageSource injected by Spring, typically the parent ApplicationContext itself.

## Constructor Summary

Constructors
Constructor
Description
`SpringStatusMessageLookupFunction()`

## Method Summary

Modifier and Type
Method
Description
`String`
`apply(ProfileRequestContext input)`
`void`
`setMessageSource(MessageSource source)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Field Details

### messageSource

@Nullable private MessageSource messageSource
MessageSource injected by Spring, typically the parent ApplicationContext itself.

## Constructor Details

### SpringStatusMessageLookupFunction

public SpringStatusMessageLookupFunction()

## Method Details

### apply

@Nullable public String apply(@Nullable ProfileRequestContext input)

Specified by:
  `apply` in interface `Function<ProfileRequestContext,String>`

### setMessageSource

public void setMessageSource(@Nonnull MessageSource source)

Specified by:
  `setMessageSource` in interface `MessageSourceAware`